#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x8C,0xA2,0x68,0x94,0xA2,0x7A,0xF3,0xCC,0x9D,0xDF,0x8B,0x19,
		0xA9,0x91,0x9C,0x3D,0xD5,0x53,0x92,0x27,0x08,0x0A,0xB9,0xED,
		0xC2,0x4A,0x65,0x28,0x92,0xD3,0xF9,0x4E,0x51,0xFF,0xA0,0xE4,
		0xAA,0x86,0x51,0x8B,0xDC,0x64,0x6B,0x22,0xA7,0xC3,0xAF,0x08,
		0x3E,0x8B,0xDC,0x95,0xDB,0x28,0x17,0x54,0xB4,0x12,0x84,0x5E,
		0x1C,0xC4,0xE7,0xEB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
